/*------------------------------------*\
    #OBJECTS.ICON-LIST
\*------------------------------------*/
/**
 * Icon list object.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.objects';

.#{$inuit-namespace}icon-list,
%#{$inuit-namespace}icon-list {
    @extend %h-font-size--1up;

    margin: $drk-base-unit-small 0 0;
    padding: 0;
    list-style: none;

    @media #{$medium-up} {
        margin: $drk-base-unit 0;
    }
}

.#{$inuit-namespace}icon-list__item,
%#{$inuit-namespace}icon-list__item {
    box-sizing: content-box;
    display: table;
    border-collapse: collapse;
    min-height: $drk-base-unit-small;
    line-height: .6;
    width: 100%;

    a {
        //color: $body-color;
        display: table-row;
        overflow: hidden;
        width: 100%;
        border-top: 1px solid $drk-color-light-grey;
    }

    &:last-child {
        a {
            border-bottom: 1px solid $drk-color-light-grey;
        }
    }

    @media #{$large-up} {
        min-height: $drk-base-unit;
        line-height: .6;
    }
}

.#{$inuit-namespace}icon-list__icon,
%#{$inuit-namespace}icon-list__icon {
    @extend %h-icon--squared;
    display: table-cell;
    vertical-align: top;
    width: 30%;
    padding-right: 1em;
    transition: .1s all ease;
    float: left;
}

.#{$inuit-namespace}icon-list__label,
%#{$inuit-namespace}icon-list__label {
    color: $drk-color-blue;
    display: table-cell;
    vertical-align: middle;
    width: 70%;
    float: left;
    line-height: $drk-base-unit-small;
    padding-left: $drk-base-unit / 1.75;

    .has-children & {
        @extend %icon--arrow-right;
        background-position: 5px center;
        padding-left: $drk-base-unit / 1.75;
    }

    @media #{$large-up} {
        min-height: $drk-base-unit;
        line-height: $drk-base-unit;
    }
}

.#{$inuit-namespace}icon-list__link,
%#{$inuit-namespace}icon-list__link {
    color: $drk-color-blue;
    cursor: pointer;
    min-height: $drk-base-unit-small;
    transition: .1s all ease;

    @include drk-hover {
        background-color: $drk-color-light-blue;
        text-decoration: none;

        .#{$inuit-namespace}icon-list__icon {
        }
    }

    @media #{$large-up} {
        min-height: $drk-base-unit;
    }
}
